Issue - Get

Get issue properties

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Monitor/accounts/{azureMonitorWorkspaceName}/issues/{issueName}?api-version=2025-10-03

URI Parameters

Name In Required Type Description
azureMonitorWorkspaceName
path True

string

pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$

The name of the Azure Monitor Workspace. The name is case insensitive

issueName
path True

string

pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$

The name of the IssueResource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

IssueResource

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Issue_Get_MaximumSet

Sample request

GET https://management.azure.com/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Monitor/accounts/myWorkspace/issues/3f29e1b2b05f8371595dc761fed8e8b3?api-version=2025-10-03

Sample response

{
  "properties": {
    "title": "Alert fired on VM CPU",
    "status": "New",
    "severity": "Sev2",
    "investigations": [],
    "impactTime": "2024-12-13T02:45:33",
    "investigationsCount": 0,
    "notifications": {
      "updateTypes": [
        {
          "updateType": "IssueCreation"
        },
        {
          "updateType": "OnChange"
        },
        {
          "updateType": "TimeBased",
          "updateInterval": "PT1H"
        }
      ],
      "actionGroupIds": [
        "/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Insights/actionGroups/myActionGroup"
      ],
      "excludeDefaultActionGroups": false
    },
    "provisioningState": "Succeeded"
  },
  "id": "/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Compute/virtualMachines/vm1/providers/Microsoft.AlertsManagement/issues/3f29e1b2b05f8371595dc761fed8e8b3",
  "name": "3f29e1b2b05f8371595dc761fed8e8b3",
  "systemData": {
    "createdBy": "171a811c-2a3a-4e6c-b742-f78f5f6ca51c",
    "createdByType": "Manual",
    "createdAt": "2024-12-13T03:11:07",
    "lastModifiedBy": "171a811c-2a3a-4e6c-b742-f78f5f6ca51c",
    "lastModifiedByType": "Manual",
    "lastModifiedAt": "2024-12-13T03:51:45"
  }
}

Definitions

Name Description
Background

The issue background information

BackgroundDetails

A background details element

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

InvestigationMetadata

Properties of the current investigation

IssueCreationNotificationType

Notification type for issue creation events

IssueProperties

The issue properties

IssueResource

The Issue resource

Notifications

Issue notification settings

OnChangeNotificationType

Notification type for on-change events

ResourceProvisioningState

The provisioning state of the Azure Monitor Workspace. Set to Succeeded if everything is healthy.

Status

The issue status

systemData

Metadata pertaining to creation and last modification of the resource.

TimeBasedUpdatesNotificationType

Notification type for time-based updates

UpdateType

The type of update that triggers a notification

Background

The issue background information

Name Type Description
details

BackgroundDetails[]

The background details

text

string

The background text

type

string

The background type

BackgroundDetails

A background details element

Name Type Description
name

string

The background details name

value

string

The background details value

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

InvestigationMetadata

Properties of the current investigation

Name Type Description
createdAt

string (date-time)

The creation time of the investigation (in UTC)

id

string (uuid)

The unique identifier of the investigation

IssueCreationNotificationType

Notification type for issue creation events

Name Type Description
updateType string:

IssueCreation

The type of update that triggers the notification

IssueProperties

The issue properties

Name Type Description
background

Background

The issue background information

impactTime

string (date-time)

The issue impact time (in UTC)

investigations

InvestigationMetadata[]

The list of investigations in the issue

investigationsCount

integer (int32)

The number of investigations in the issue

notifications

Notifications

The issue notification settings

provisioningState

ResourceProvisioningState

The provisioning state of the resource.

severity

string

The issue severity

status

Status

The issue status

title

string

The issue title

IssueResource

The Issue resource

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

IssueProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

Notifications

Issue notification settings

Name Type Description
actionGroupIds

string[]

The action group IDs to notify

excludeDefaultActionGroups

boolean

Whether to exclude default action groups from notifications

updateTypes IssueNotificationType[]:

The types of updates that trigger notifications

OnChangeNotificationType

Notification type for on-change events

Name Type Description
updateType string:

OnChange

The type of update that triggers the notification

ResourceProvisioningState

The provisioning state of the Azure Monitor Workspace. Set to Succeeded if everything is healthy.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Status

The issue status

Value Description
New

The issue is new

InProgress

The issue is in progress

Mitigated

The issue is mitigated

Closed

The issue is closed

Canceled

The issue is canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TimeBasedUpdatesNotificationType

Notification type for time-based updates

Name Type Description
updateInterval

string

The interval between time-based updates

updateType string:

TimeBased

The type of update that triggers the notification

UpdateType

The type of update that triggers a notification

Value Description
IssueCreation

Notification sent when an issue is created

TimeBased

Notification sent based on time intervals

OnChange

Notification sent when the issue changes